using System.ComponentModel.DataAnnotations;

namespace AGSS.Models.Entities;

public class UserModel
{
    public Guid  Id { get; set; }
    [MaxLength(50)]
    public required string AuthId { get; set; }
    [MaxLength(20)]
    public string? Sex { get; set; }
    [MaxLength(100)]
    public string? Description { get; set; }
    [MaxLength(200)]
    public string? Config { get; set; }
    [MaxLength(10)]
    public string? JobCode { get; set; }
    [MaxLength(10)]
    public string? JobName { get; set; }
    [MaxLength(20)]
    public string? Birthday { get; set; }
    
}